%% beamerKIT class options:
%%
%% aspectratio      = (string) 169 (default) | 1610 | 43
%%                    Presentations for widescreen projectors should use the default (169).
%% english | german = (string) english (default)
%%                    The language option sets KIT text elements accordingly; this option is also
%%                    used for package babel to get correct language-specific behavior.
%% largefont        = (boolean) false (default) | true
%%                    The new official 2025 presentation layout by KIT has a very small default font
%%                    size for standard text; when setting this option to true, a larger default
%%                    font size is used.
%% plain            = (boolean) false (default) | true
%%                    If this option is given is set to true, all slides are set in plain mode with 
%%                    the footline completely disabled; it also means no progressbar or license icon 
%%                    are shown, even if these options are given.
%% showtotal        = (boolean) false (default) | true
%%                    If this option is set to true, not only the current slide number but also the 
%%                    total number of slides is shown in the footline; for obvious reasons, it makes  
%%                    no sense to combine this option with option "plain".
%% license          = (string) none (default) | ccby | ccbysa | ccbynd | ccbync | ccbyncsa | ccbyncnd
%%                    The license under which the document is published; none shows no license 
%%                    information (default). Other available options include various Creative Commons 
%%                    licenses such as Attribution (ccby), Attribution - ShareAlike (ccbysa), 
%%                    Attribution - NoDerivs (ccbynd), Attribution - NonCommerical (ccbync), 
%%                    Attribution - NonCommercial - ShareAlike (ccbyncsa) and Attribution - 
%%                    NonCommercial - NoDerivs (ccbyncnd). Attribution - ShareAlike or Attribution - 
%%                    NonCommercial - ShareAlike seem good options for scientific material, of course 
%%                    dependent on the context of your presentation.
%% footlic          = (boolean) false (default) | true
%%                    If this option is set to true, a small license logo is shown in the footline of 
%%                    each slide. This option is ignored if license is "none". For obvious reasons, 
%%                    it makes no sense to combine this option with option "plain".
%% progressbar      = (boolean) false (default) | true
%%                    If this option is set to true, a visual small progressbar is shown in the 
%%                    footline at the bottom of each frame.
%% design           = (string) kit (default) | gpi
%%                    If set to gpi, make minor design modifications, in particular to the table of 
%%                    contents page. Also sets the default for the end page to the GPI design.
%% colorscheme      = (string) iceblue (default) | white
%%                    When colorscheme is set to white, certain elements that normally use color 
%%                    'KITiceblue' are displayed in white to increase the contrast.
%% grid             = (boolean) false (default) | true
%%                    When set to true, this option provides a grid (spaced at 1 cm) in the background
%%                    canvas to help align elements or determine absolute coordinates for textpos.
%%
\documentclass[english,showtotal]{beamerKIT}

\usepackage{amsmath}
\usepackage{siunitx}
\usepackage{amssymb}
\usepackage{mathtools}
\usepackage[b]{esvect}

%% "author" used on title page, "short author" - if given - used in footline; to explicitly avoid an
%% author in the footline, use an empty option: \author[]{Firstname Lastname}
\author[T.{} Hertweck]{Dr.{} Thomas Hertweck}
%% To have a little copyright symbol (c) in the footline, you could use the following command:
%% \author[\ccCopy~T.{} Hertweck]{Dr.{} Thomas Hertweck}

%% "institute" - if given - used on title page, "short institute" - if given - used in footline; to 
%% explicitly avoid an institute in the footline, use an empty option: \institute[]{Institution}
\institute[GPI]{Geophysical Institute, KIT-Department of Physics}

%% "title" used on title page, "short title" - if given - used in footline; to explicitly avoid a
%% title in the footline, use an empty option: \title[]{my long title}
\title[\LaTeX{} presentation template]{KIT presentations using \LaTeX{}}

%% "subtitle" used on title page, "short subtitle" is ignored
\subtitle{Photo by Samuel Ferrara on Unsplash}

%% "date" - if given - used on titlepage, "short date" - if given - used in footline; to explicitly 
%% avoid a date on the titlepage and/or in the footline, use: \date[]{}
\date{\today}

%% PDF property: subject
\subject{LaTeX presentation template}
%% PDF property: keywords
\keywords{LaTeX, KIT, Beamer, Template, Presentation}

%% bibliography database, if used; otherwise comment out
\addbibresource{exampleKIT.bib}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITinstlogo[option]{file}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Add institute's or other logo in the lower right corner of the title page (size is automatically 
%% set according to KIT guidelines); file is the logo in pdf, png or jpg format to load (do not 
%% specify file suffix). If option "relaxed" is used, the strict KIT guidelines regarding the size
%% of the additional logo are relaxed.
\KITinstlogo{Fig/dummylogo}

%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITusenavsym[options]
%%%%%%%%%%%%%%%%%%%%%%%%%
%% Add a navigation bar in the upper right corner; the navigation symbols to use can be specified as 
%% options, default is "sHb"; s = slide navigation symbol, f = frame navigation symbol, H = section 
%% navigation symbol, h = subsection navigation symbol, d = doc navigation symbol, 
%% b = backward-find-forward navigation symbol
\KITusenavsym[sH]

%% In the following, you can find an overview of macros available for use in your document:

%%%%%%%%%%%%
%% \KITvfill
%%%%%%%%%%%%
%% Beamer's \vfill does not behave like LaTeX's standard \vfill command; \KITvfill offers the standard
%% functionality and simply fills any vertical space up to the maximum allowed in the text area.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITleftmargin and \KITrightmargin
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% The dimensions of the left and right text margin, respectively. These two margins plus the width of
%% the text area (\textwidth) equals the paper width.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITtitlepage[options]{file}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Creates a title page; you can specify a file (do not specify a file suffix) in pdf, png or jpg format 
%% to use as title image on the title page; if no file is specified, the title page will show no image.
%% The following options are available to influence the behavior of the titlepage:
%% image = fit (default) | scale | clip
%%         fit: fit the larger dimension of the image while keeping the aspectratio and leave empty 
%%              space in the other dimension; this either fits the width or the height of the image
%%              to the available space
%%         scale: fits the width and height of the image to the available space, possibly distorting the
%%                aspectratio; works okay as long as the original image is not too far off the required
%%                width and height of the image area
%%         clip: fits the smaller dimension of the image while keeping the aspectratio and then cuts off
%%               the larger dimension; a part of the image will therefore be clipped and not be shown
%% orientation = vertical (default) | horizontal
%%               The general design of the titlepage, using either a vertical theme or a horizontal theme
%% background = KITwhite (default) | KITdarkblue | KITbluegreen
%%              The background color used on the titlepage; should either be KITwhite or KITbluegreen for
%%              the horizontal theme and KITwhite or KITdarkblue for the vertical theme
%% logo = color (default) | white | black | none
%%        The color of the logo to display; this depends on the image and/or the background. A logo can
%%        be disabled entirely by using "logo=none".

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITtoc[options]{name}[background=]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Display a table of contents page. The required argument "name" is the title of this page (for instance,
%% "Overview" or "Content"). All options are passed to beamer's \tableofcontents macro, i.e., you can get
%% the usual highlighting of the current section by, e.g., \KITtoc[currentsection]{Overview}. The second
%% optional argument is the background color (default: background=KITwhite) in case you would like to have 
%% a dark blue background on the right side.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITendpage[option]{email}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Creates an end page (final page of the presentation). If option "kit" is used, a white frame with a
%% centered KIT logo is used (the email address is ignored). If option "gpi" is used, a special 'thank 
%% you for your attention' page is displayed which also shows the email address, the URL of the GPI
%% web site and possibly some presentation license information, if desired.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITcontentgeom
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Can always be called as first element on each frame (unfortunately, beamer does not offer a simple
%% mechanism to call this macro directly at the beginning of each frame). It does not alter the frame
%% in any way, it simply makes two lengths called \contentwidth and \contentheight available that
%% provide the width and height, respectively, of the text area on the current slide. Plain frames 
%% have a slightly larger \contentheight as there is no footline at the bottom of each frame. Please
%% note that LaTeX's standard \textheight is wrong within beamer as it includes, e.g., the headline.
%% Using \contentwidth is equivalent to using \textwidth.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITsectionpage[options]{file}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Creates a section page; you can specify a file (do not specify a file suffix) in pdf, png or jpg format 
%% to use as (horizontal) image on the section page; if no file is specified, the section page will show 
%% no image. The following options are available to influence the behavior of the sectionpage:
%% image = fit (default) | scale | clip
%%         See \KITtitlepage for explanations.
%% background = KITbluegreen (default) | any other color
%%              The background color used on the sectionpage
%% textcolor = KITwhite (default) | any other color
%%             Color of the text elements; should go well with the chosen background color.
%% numcolor = KITiceblue or KITwhite (default) | any other color
%%            Color of the section number; default depends on chosen colorscheme; should go well with the
%%            chosen background color.
%% logo = color (default) | white | black | none
%%        The color of the logo to display; this depends on the chosen background. A logo can
%%        be disabled entirely by using "logo=none".

%%%%%%%%%%%%%%%%%%%%
%% \KITsectionname{}
%%%%%%%%%%%%%%%%%%%%
%% Rename the text element shown on the section page. Default is "Section" (en) and "Kapitel" (de).

%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITpartpage[options]
%%%%%%%%%%%%%%%%%%%%%%%%
%% Creates a part page in case the presentation uses parts. The following options are available to influence 
%% the behavior of the partpage:
%% background = KITbluegreen (default) | any other color
%%              The background color used on the partpage
%% textcolor = KITiceblue (default) | any other color
%%             Color of the text element specifying the part; should go well with the chosen background color.

%%%%%%%%%%%%%%%%%%%%
%% \KITpartname{}
%%%%%%%%%%%%%%%%%%%%
%% Rename the text element shown on the part page. Default is "Part" (en) and "Teil" (de). For example:
%% \KITpartname{Abschnitt}

%%%%%%%%%%%%%%%%%%%%
%% \KITheading{text}
%%%%%%%%%%%%%%%%%%%%
%% Adds an intermediate heading on frames.

%%%%%%%%%%%%%%%%%%%%%
%% KITstatement{text}
%%%%%%%%%%%%%%%%%%%%%
%% Adds a key statement or intermediate heading to frames (different layout compared to \KITheading).

%%%%%%%%%%%%%%%%%%%%
%% \KITroman{number}
%%%%%%%%%%%%%%%%%%%%
%% Turns the number into a roman numeral.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITimage[options]{file}[pos](source)[boxopt]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Display an image, possibly accompanied by a copyright statement or specification of the source. All
%% options are passed to the underlying includegraphics command, i.e., a command like
%% \KITimage[width=3cm]{imagefile} behaves like the standard \includegraphics command. The option "pos"
%% specifies the location of a copyright/source label in TikZ standard syntax, i.e., "north" or "west"
%% or "south west" (default). The "source" in round brackets is the text shown as copyright/source label.
%% If no text is specified, the copyright/source label will not be shown. The last option "boxopt" are
%% options for the TikZ node used to display the copyright/source label. Default options for such nodes
%% are "inner sep=2pt,outer sep=0pt,anchor=south west,font=\Tiny,KITblack". It is sufficient to only
%% supply the options that should be overridden, for instance "KITwhite" if the label text needs to be 
%% displayed in white color (instead of the default black).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITvimage[option]{file}[pos](source)[boxopt]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Display a vertical image at the right edge of the frame over the full paper height. The image is 
%% scaled to paperheight while keeping the aspectratio, i.e., its width may vary. It is up to the user
%% to choose a suitable image with sensible width and height ratio. In the current implementation, the
%% image is displayed on top of the footline, i.e., some information like the progressbar could be hidden.
%% The only option is "logo" with possible values color (default), white, black, or none - for an
%% explanation, see corresponding logo-option for the \KITtitlepage command.

%% Note: A horizontal image can be set by temporarily altering the headline template. For instance:
%%
%% { % begin scope
%% \setbeamertemplate{headline}{\KITimage ... \vskip-6pt}}
%% \begin{frame}{Horizontal image}
%% ...
%% \end{frame}
%% } % end scope
%%
%% Do not forget the outer curly brackets (scope), otherwise the beamertemplate will stay in place for
%% all subsequent frames.
%%
%% A full-scale image over the entire page can be achieved with a similar approach by temporarily 
%% changing the background. For instance:
%%
%% { % begin scope
%% \setbeamertemplate{background}{%
%%    \begin{tikzpicture}%
%%    \useasboundingbox (0,0) rectangle (\paperwidth,\paperheight);%
%%    \node[inner sep=0pt,outer sep=0pt,anchor=south west] at (0,0) {%
%%       \includegraphics[width=\paperwidth,height=\paperheight]{imagefile}};%
%%    \end{tikzpicture}%
%% }
%% \begin{frame}[plain]{Frame title}
%% ...
%% \end{frame}
%% } % end scope
%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \begin{KITframe}{options} ... \end{KITframe}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Adds a rectangular background frame to the content specified within the environment; options 
%% are passed to tcolorbox, some default options using KIT colors are already set.

%%%%%%%%%%%%%%%%%%%%%%%%%
%% \KITbox{options}{text}
%%%%%%%%%%%%%%%%%%%%%%%%%
%% Adds a rectangular inline background box around the specified text; options are passed to 
%% tcolorbox, some default options using KIT colors are already set.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \begin{KITnote}[options]{title} ... \end{KITnote}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Adds a filled, rectangular background box with title, typically used to emphasize certain key 
%% messages or provide examples or add warnings; the options are passed to tcolorbox, some default 
%% options using KIT colors are already set. By default, the box fills the entire text width and a 
%% fuzzy shadow is drawn.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \begin{KITmessage}[options]{text} ... \end{KITmessage}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Similar to KITnote but with a different layout; the title is set in a separate box whose width 
%% is only as wide as the title requires. The options are passed to tcolorbox, some default 
%% options using KIT colors are already set. By default, the box fills the entire text width and a 
%% fuzzy shadow is drawn. 

%% Standard beamer block environments are also available, for instance:
%% \begin{block} ... \end{block}
%% \begin{alterblock} ... \end{alertblock}
%% \begin{exampleblock} ... \end{exampleblock}
%% \begin{theorem} ... \end{theorem}
%% \begin{proof} ... \end{proof}
%% \begin{example} ... \end{example}
%% \begin{definition} ... \end{definition}
%% \begin{problem} ... \end{problem}
%% \begin{solution} ... \end{solution}
%% \begin{description} ... \end{description}

\begin{document}

\KITtitlepage[orientation=horizontal,image=clip]{Fig/title_h}
\KITtitlepage[orientation=horizontal,image=clip,background=KITbluegreen]{Fig/title_h}
\KITtitlepage[image=scale,orientation=vertical,background=KITwhite,logo=color]{Fig/title_v}
\KITtitlepage[image=scale,orientation=vertical,background=KITdarkblue,logo=white]{Fig/title_v}

\part{Introduction}

\KITpartpage

\KITpartpage[background=KITdarkblue,textcolor=KITwhite]

\KITtoc{Content}

\section{Basic frames}

\KITtoc[currentsection]{Content}

\begin{frame}[t]{Frame title}
\framesubtitle{Frame subtitle}
Upper left corner \hfill Upper right corner\\
\KITvfill
\begin{center}Center of text area\end{center}
\KITvfill
Lower left corner \hfill Lower right corner
\end{frame}

\setboolean{KITconfidential}{true}

\begin{frame}[t]{This is a frame title: it is way too long -- however, it is automatically rescaled to fit into the available title frame box}
\framesubtitle{Frame subtitle}
This frame's title is way too long. However, \LaTeX{} has automatically resized the title and subtitle to fit into the available space. That's quite smart, isn't it?\\[2mm]
This frame was marked as confidential by setting the boolean \texttt{KITconfidential} to \texttt{true} before typesetting this frame:\\
\texttt{\textbackslash{}setboolean\{KITconfidential\}\{true\}}\\
After this frame, the boolean is reset to \texttt{false}, i.\,e., subsequent frames will no longer be marked as confidential.
\end{frame}

\setboolean{KITconfidential}{false}

\begin{frame}[b]{Frame title}
\framesubtitle{Frame subtitle}
This frame is bottom-aligned.\\[2mm]
By default, the footline shows the frame number, the date, the author (short version), the department or institute (short version), and the presentation's title (short version). If no short versions have been given, the long versions will be used. To explicitly suppress the information in the footline, supply an empty short version in the preamble, for instance:\\
\texttt{\textbackslash{}institute[]\{Geophysical institute\}}
\end{frame}

\begin{frame}[c,plain]{Frame title}
\framesubtitle{Frame subtitle}
This frame has no footline (plain frame) and is vertically centered.\\[2mm]
By default, the class uses English as primary language. This can be changed by class option \texttt{german}, which will then render certain text elements in German rather than English.
\end{frame}

\section{Colors}

\begin{frame}{Colors}
\KITcontentgeom
\begin{columns}[T]
\begin{column}{0.25\textwidth}
\vspace*{0pt} 
Standard colors:
\begin{itemize}
\item \texttt{KITwhite}:
\item \texttt{KITdarkblue}: \textcolor{KITdarkblue}{\rule{2em}{1.5ex}}
\item \texttt{KITgray}: \textcolor{KITgray}{\rule{2em}{1.5ex}}
\item \texttt{KITlightgray}: \textcolor{KITlightgray}{\rule{2em}{1.5ex}}
\item \texttt{KITiceblue}: \textcolor{KITiceblue}{\rule{2em}{1.5ex}}
\end{itemize}
\end{column}
\hfill
\begin{column}{0.3\textwidth}
\vspace*{0pt} 
Highlight colors:
\begin{itemize}
\item \texttt{KITbluegreen}: \textcolor{KITbluegreen}{\rule{2em}{1.5ex}}
\item \texttt{KITdarkbluegreen}: \textcolor{KITdarkbluegreen}{\rule{2em}{1.5ex}}
\item \texttt{KITlightblue}: \textcolor{KITlightblue}{\rule{2em}{1.5ex}}
\item \texttt{KITblue}: \textcolor{KITblue}{\rule{2em}{1.5ex}}
\item \texttt{KITgreen}: \textcolor{KITgreen}{\rule{2em}{1.5ex}}
\item \texttt{KITlightgreen}: \textcolor{KITlightgreen}{\rule{2em}{1.5ex}}
\end{itemize}
\end{column}
\hfill
\begin{column}{0.35\textwidth}
\vspace*{0pt} 
Custom colors: {\ssmall(for exceptional use ony)}
\begin{itemize}
\item \texttt{KITblack}: \textcolor{KITblack}{\rule{2em}{1.5ex}}
\item \texttt{KITpurple}: \textcolor{KITpurple}{\rule{2em}{1.5ex}}
\item \texttt{KITorange}: \textcolor{KITorange}{\rule{2em}{1.5ex}} (or \texttt{KITgold})
\item \texttt{KITyellow}: \textcolor{KITyellow}{\rule{2em}{1.5ex}}
\item \texttt{KITred}: \textcolor{KITred}{\rule{2em}{1.5ex}}
\item \texttt{KITbrown}: \textcolor{KITbrown}{\rule{2em}{1.5ex}}
\end{itemize}
\end{column}
\end{columns}
\end{frame}

\section{Standard images}

\begin{frame}[t]{Including images}\KITcontentgeom%
\only<1>{%
Images can be included with \LaTeX's standard \texttt{includegraphics} command. However, special macros are provided to offer enhanced features:
\begin{itemize}
\item \texttt{KITcontentgeom}\\
Called at the beginning of a frame, it provides two lengths called \texttt{\textbackslash{}contentwidth} and \texttt{\textbackslash{}contentheight} that provide the exact dimensions of the text area. \LaTeX's standard \texttt{\textbackslash{}textheight} is wrong in beamer.
\item \texttt{KITimage}\\
A command to include an image and possibly set a copyright label or specify the source.
\end{itemize}
Current \texttt{\textbackslash{}contentheight} is: \the\contentheight
}%
\only<2>{%
Images on the next frame were set using the following commands:
\begin{itemize}
\item \texttt{\textbackslash{}KITimage[height=\textbackslash{}contentheight]\{Fig/title\_v\}} -- this is equivalent to using \texttt{includegraphics} directly.
\item \texttt{\textbackslash{}KITimage[height=\textbackslash{}contentheight]\{Fig/title\_v\}(\textbackslash{}ccCopy\{\} Samuel Ferrara)[KITwhite]} -- this adds a copyright notice in white in the lower left corner (default) of the image.
\item \texttt{\textbackslash{}KITimage[height=\textbackslash{}contentheight]\{Fig/title\_v\}[east](\textbackslash{}ccCopy\{\} Samuel Ferrara)[inner sep=2pt, outer sep=0pt, anchor=south, font=\textbackslash{}Tiny, KITwhite, rotate=90]} -- this adds a white, rotated copyright notice on the eastern side of the image.
\end{itemize}
}
\end{frame}

\begin{frame}[t]{Including images}
\KITcontentgeom\centering%
% check on aspectratio
\ifthenelse{\equal{\insertaspectratio}{43}}{%
\KITimage[height=0.8\contentheight]{Fig/title_v}~%
\KITimage[height=0.8\contentheight]{Fig/title_v}(\ccCopy{} Samuel Ferrara)[KITwhite]~%
\KITimage[height=0.8\contentheight]{Fig/title_v}[east](\ccCopy{} Samuel Ferrara)[inner sep=2pt,outer sep=0pt,anchor=south,font=\Tiny,KITwhite,rotate=90]\\%
\alert{Note:} For \texttt{aspectratio=43}, height has been reduced to \texttt{0.8\textbackslash{}contentheight}%
}{%
\KITimage[height=\contentheight]{Fig/title_v}~%
\KITimage[height=\contentheight]{Fig/title_v}(\ccCopy{} Samuel Ferrara)[KITwhite]~%
\KITimage[height=\contentheight]{Fig/title_v}[east](\ccCopy{} Samuel Ferrara)[inner sep=2pt,outer sep=0pt,anchor=south,font=\Tiny,KITwhite,rotate=90]%
}
\end{frame}

\begin{frame}[t,plain]{Including images}
\framesubtitle{Image using full height on plain frame with title}
\KITcontentgeom\centering%
\KITimage[height=\contentheight]{Fig/title_v}[south east](\ccCopy{} Samuel Ferrara; source: Unsplash)[inner sep=2pt,outer sep=0pt,anchor=north west,font=\Tiny,KITdarkblue,rotate=90]
\end{frame}

\begin{frame}[t,plain]{Layout}
\framesubtitle{Plain frame with title}\KITcontentgeom%
Upper left corner \hfill Upper right corner\\
\KITvfill
\begin{center}Center of text area\\
Current \texttt{\textbackslash{}contentheight} is: \the\contentheight\end{center}
\KITvfill
Lower left corner \hfill Lower right corner
\end{frame}

\begin{frame}[t,plain]\KITcontentgeom%
\begin{textblock*}{4cm}(6mm,6mm)
Plain frame with no title: full paperheight available; current \texttt{\textbackslash{}contentheight} is: \the\contentheight
\end{textblock*}
\begin{textblock*}{\paperwidth}(0pt,0pt)
\begin{tikzpicture}
\useasboundingbox (0,0) rectangle (\paperwidth,\paperheight);
\draw[KITred,dashed] (current page.west) node[anchor=west,anchor=south west] {vertical center of page} -- (current page.east);
\draw[KITred,dashed] (current page.north) node[anchor=south east,rotate=90] {horizontal center of page} -- (current page.south);
\end{tikzpicture}
\end{textblock*}
\KITcontentgeom\centering%
\KITimage[height=\contentheight]{Fig/title_v}
\end{frame}

\begin{frame}[t,plain]
\begin{textblock*}{\paperwidth}(0pt,0pt)
\begin{tikzpicture}
\useasboundingbox (0,0) rectangle (\paperwidth,\paperheight);
\draw[KITred,dashed] (current page.west) node[anchor=west,anchor=south west] {vertical center of page} -- (current page.east);
\draw[KITred,dashed] (current page.north) node[anchor=south east,rotate=90] {horizontal center of page} -- (current page.south);
\end{tikzpicture}
\end{textblock*}
\KITcontentgeom%
Upper left corner \hfill Upper right corner\\
\KITvfill
\begin{center}Center of text area\end{center}
\KITvfill
Lower left corner \hfill Lower right corner
\end{frame}

\section{Section page}

\KITsectionpage[image=scale]{Fig/title_h}

\KITsectionname{Lecture}

\begin{frame}[t]{Section page}
The previous slide showed a section page with image.\\[2mm]
The following section page has a modified name and no image. Furthermore, the background color was changed to \texttt{KITdarkblue} and the text color to \texttt{KITwhite}. The name was modified using the following command:\\[2mm]
\texttt{\textbackslash{}KITsectionname\{Lecture\}}
\end{frame}

\KITsectionpage[background=KITdarkblue,numcolor=KITwhite]

\section{Itemize and enumerate}

\KITtoc[currentsection]{Content}

\begin{frame}{Itemize and enumerate}
\framesubtitle{Subtitle optionally in gray}%
First list level for continuous text with \textbf{highlighted text in bold}
\begin{itemize}
\item Item 1
\item Item 2
\begin{itemize}
\item Subitem 1
\item Subitem 2
\begin{itemize}
\item Third itemize level
\item Third itemize level
\end{itemize}
\end{itemize}
\end{itemize}
\begin{enumerate}
\item Enum 1
\item Enum 2
\begin{enumerate}
\item Subenum 1
\item Subenum 2
\begin{enumerate}
\item Third enumerate level
\item Third enumerate level
\end{enumerate}
\end{enumerate}
\end{enumerate}
\end{frame}

\begin{frame}[plain]{Itemize and enumerate}
\framesubtitle{Subtitle optionally in gray}%
First list level for continuous text with \textbf{highlighted text in bold} -- plain frame
\begin{itemize}
\item Item 1
\item Item 2
\begin{itemize}
\item Subitem 1
\item Subitem 2
\begin{itemize}
\item<2-> Third itemize level
\item<3-> Third itemize level
\end{itemize}
\end{itemize}
\end{itemize}
\uncover<4->{%
\begin{enumerate}
\item Enum 1
\item Enum 2
\begin{enumerate}
\item Subenum 1
\item Subenum 2
\begin{enumerate}
\item Third enumerate level
\item Third enumerate level
\end{enumerate}
\end{enumerate}
\end{enumerate}
}
\end{frame}

\subsection{KITheading \& KITstatement}

\begin{frame}[t]{KITheading \& KITstatement}
\KITheading{Heading1}
text
\KITheading{Heading2}
text
\KITheading{Heading3}
text
\KITstatement{Statement1}
text
\KITstatement{Statement2}
text
\end{frame}

\section{Part page}

\begin{frame}{Part page}
A part page can also be modified. Similar to the command \texttt{\textbackslash{}KITsectionname\{\}}, there is a command \texttt{\textbackslash{}KITpartname\{\}}. The part page shown next was modified using the following command:\\
\texttt{\textbackslash{}KITpartname\{Chapter\}}\\
We then switch back to the standard setting afterwards.
\end{frame}

\KITpartname{Chapter}
\KITpartpage

\part{Advanced features}

\KITpartname{Part}
\KITpartpage

\KITtoc{Overview}[background=KITdarkblue]

\section{Vertical image}

\KITtoc[currentsection]{Overview}[background=KITdarkblue]

\begin{frame}[c]{Vertical image}
\KITvimage[logo=white]{Fig/title_v}
The text area's width is adjusted automatically based on the width of the image.
\begin{itemize}
\item First bullet point
\item Second bullet point
\item Third bullet point
\item Fourth bullet point
\item Fifth bullet point
\end{itemize}
Bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla
\end{frame}

\section{Horizontal image}

{ % begin scope
  \setbeamertemplate{headline}{%
    \KITimage[width=\paperwidth]{Fig/title_h}[south east](\ccCopy{} Samuel Ferrara)[KITwhite,anchor=south east]\vskip-6pt%
  }
  \begin{frame}[t]{Horizontal image}
    \vspace*{-1.5\baselineskip} % reduce white space as there is no framesubtitle
    \begin{minipage}{0.22\textwidth}
      First column
      \begin{itemize}
        \item A
        \item B
      \end{itemize}
      First column
    \end{minipage}
    \hfill
    \begin{minipage}{0.22\textwidth}
      Second column
      \begin{itemize}
        \item C
        \item D
      \end{itemize}
      Second column
    \end{minipage}
    \hfill
    \begin{minipage}{0.22\textwidth}
      Third column
      \begin{itemize}
        \item E
        \item F
      \end{itemize}
      Third column
    \end{minipage}
    \hfill
    \begin{minipage}{0.22\textwidth}
      Fourth column
      \begin{itemize}
        \item G
        \item H
      \end{itemize}
      Fourth column
    \end{minipage}
  \end{frame}
} % end scope

\section{Full-scale image}

{ % begin scope
  \setbeamertemplate{background}{%
    \begin{tikzpicture}
      \useasboundingbox (0,0) rectangle (\paperwidth,\paperheight);
      \node[inner sep=0pt,outer sep=0pt,anchor=south west] (img) at (0,0) {%
        \includegraphics[width=\paperwidth,height=\paperheight]{Fig/ISS}};
      \node[outer sep=4pt,anchor=south east,KITwhite,font=\ssmall] at (img.south east) {source:~ESA};
    \end{tikzpicture}
  }
  \begin{frame}[t,plain]{Greetings from the ISS}
    \framesubtitle{\textcolor{KITblack!50}{Full-scale background image}}
  \end{frame}
}

\part{Design elements}

\KITpartpage
\KITtoc{Overview}

\section{KITframe}

\begin{frame}[t]{KITframe}
\vspace*{-\baselineskip}
\begin{KITframe}{}
This is a frame.
\end{KITframe}
\KITvfill
\begin{KITframe}{halign=center}
This is a frame with centered text.
\end{KITframe}
\KITvfill
\begin{KITframe}{halign=center,colback=KITdarkblue,coltext=KITwhite}
This is a frame with centered text.
\end{KITframe}
\KITvfill
\begin{KITframe}{colback=KITbluegreen,colframe=KITbluegreen,coltext=KITwhite,fontupper=\bfseries}
This is a frame with text in bold.
\end{KITframe}
\KITvfill
\begin{KITframe}{}
This is a framed itemize example:
\begin{itemize}
\item First item
\item Second item
\end{itemize}
\end{KITframe}
\KITvfill
\end{frame}

\section{Lines}

\begin{frame}[t]{Lines}
Various examples of different lines:
\begin{center}
\tikz \draw[KITdarkblue,thick] (0,0) -- (0.7\textwidth,0);\\
\tikz \draw[KITbluegreen,thick] (0,0) -- (0.7\textwidth,0);\\
\tikz \draw[KITbluegreen,dashed,thick] (0,0) -- (0.7\textwidth,0);\\
\tikz \draw[KITdarkblue,dotted,thick] (0,0) -- (0.7\textwidth,0);\\
\tikz \draw[KITgray,>=latex,->,thick] (0,0) -- (0.7\textwidth,0);\\
\tikz \draw[KITgray,>=latex,<-,thick] (0,0) -- (0.7\textwidth,0);\\
\tikz \draw[KITgray,>=latex,|<->|,thick] (0,0) -- (0.7\textwidth,0);\\[\baselineskip]
\tikz \draw[KITgray,>=latex,|<->|,thick] (0,0) -- (0.5\textwidth,0) node[pos=0.5,anchor=north,inner sep=1pt,font=\ssmall,KITdarkblue] {length=0.5\textbackslash{}textwidth};
\end{center}
Possibilities are endless.
\end{frame}

\section{KITbox}

\begin{frame}[t]{KITbox}
This is a \KITbox{}{KITbox} inline in the text.\\
\KITvfill
\KITbox{tikznode}{This is a KITbox example\\ over multiple lines.}\\
\KITvfill
\KITbox{colback=KITbluegreen,coltext=KITwhite,colframe=KITbluegreen,fontupper=\bfseries}{Standard box}\\
\KITvfill
\KITbox{colback=KITdarkblue,coltext=KITwhite,boxsep=5pt,fontupper=\bfseries}{Standard box with larger frame}\\
\KITvfill
\KITbox{colback=KITgray,colframe=KITgray,fontupper=\bfseries}{Highlight box} or perhaps a bit lighter: 
\KITbox{colback=KITlightgray,colframe=KITlightgray,fontupper=\bfseries}{Highlight box}
\KITvfill
\end{frame}

\section{KITmessage}

\begin{frame}[c]{KITmessage}
\KITvfill
\begin{KITmessage}{Key message} This is a standard KITmessage.\end{KITmessage}
\KITvfill
\begin{KITmessage}[halign=center,colframe=KITbluegreen,coltext=KITbluegreen,colbacktitle=KITbluegreen,boxed title style={colframe=KITbluegreen,sharp corners}]{Please remember:}\textbf{This is a centered KITmessage in bold.}\end{KITmessage}
\KITvfill
\end{frame}

\section{KITnote}

\begin{frame}[t]{KITnote}
\KITvfill
\begin{KITnote}{Please note:}This is a KITnote.\end{KITnote}
\KITvfill
\begin{KITnote}[halign=center,colback=KITbluegreen,coltext=KITwhite,colbacktitle=KITlightgray,coltitle=KITdarkblue,colframe=KITgray]{Key message:}This is a centered KITnote with customized appearance.\end{KITnote}
\KITvfill
\end{frame}

\section{Block environments}

\begin{frame}{Standard block environments}
  \vspace*{-\baselineskip}
  \begin{block}{This is a standard block}
    A standard block is colored in blue.
  \end{block}
  \KITvfill
  \begin{alertblock}{Attention}
    Alert blocks are colored in red.
  \end{alertblock}
  \KITvfill
  \begin{exampleblock}{This is an example block}
    An example block is colored in green.
  \end{exampleblock}
  \KITvfill
  Please note that these blocks are slightly wider than the text area itself. The text within the blocks starts at the usual left text margin, though, which means you can align text nicely.\\
  \KITvfill
\end{frame}

\begin{frame}{Customized block environments}
\begin{columns}[T]
\hfill
\begin{column}{0.25\textwidth}
\begin{bluegreenblock}{bluegreenblock}Text\end{bluegreenblock}
\begin{darkbluegreenblock}{darkbluegreenblock}Text\end{darkbluegreenblock}
\begin{lightblueblock}{lightblueblock}Text\end{lightblueblock}
\begin{blueblock}{blueblock}Text\end{blueblock}
\begin{greenblock}{greenblock}Text\end{greenblock}
\end{column}
\hfill
\begin{column}{0.25\textwidth}
\begin{lightgreenblock}{lightgreenblock}Text\end{lightgreenblock}
\begin{blackblock}{blackblock}Text\end{blackblock}
\begin{purpleblock}{purpleblock}Text\end{purpleblock}
\begin{orangeblock}{orangeblock}=goldblock\end{orangeblock}
\begin{yellowblock}{yellowblock}Text\end{yellowblock}
\end{column}
\hfill
\begin{column}{0.25\textwidth}
\begin{redblock}{redblock}=alertblock\end{redblock}
\begin{brownblock}{brownblock}Text\end{brownblock}
\begin{darkblueblock}{darkblueblock}$\approx$block\end{darkblueblock}
\begin{grayblock}{grayblock}Text\end{grayblock}
\begin{lightgrayblock}{lightgrayblock}Text\end{lightgrayblock}
\end{column}
\hfill
\end{columns}
\end{frame}

\subsection{Theorem and proof}

\begin{frame}{Theorem and proof}
\begin{theorem}
There is no largest prime number.
\end{theorem}
\begin{overprint}
\onslide<1>
\hfill\hyperlinkframestartnext{\beamerskipbutton{Skip proof}}
\onslide<2>
\begin{proof}
\begin{enumerate}
\item Suppose $p$ were the largest prime number.
\item Let $q$ be the product of the first $p$ numbers.
\item Then $q + 1$ is not divisible by any of them.
\item But $q + 1$ is greater than $1$, thus divisible by some prime number not in the first $p$ numbers.\qedhere
\end{enumerate}
\end{proof}
\end{overprint}
\end{frame}

\subsection{Examples, definitions, problems, and solutions}

\begin{frame}{Examples, definitions, problems, and solutions}
\begin{example}
This is an example.
\end{example}
\begin{definition}[Einstein, 1939]
Here follows a definition.
\end{definition}
\begin{problem}{Big problem:}
This is a problem.
\end{problem}
\begin{solution}{$\Rightarrow$}
This is a solution.
\end{solution}
\end{frame}

\subsection{Description and footnotes}

\begin{frame}{Description and footnotes}
\setlength{\labelsep}{4mm}
\begin{description}[+P-wave+]
\item<1->[$f$] Frequency
\item<2->[$\omega$] Angular frequency ($2\pi\,f$)
\item<3->[P-wave] Compressional wave\footnote<3->{Primary wave}
\item<4->[S-wave] Shear wave\footnote<4->{Secondary wave}
\end{description}
\end{frame}

\subsection{Quotes}

\begin{frame}{Quotes}
\framesubtitle{Frame has transition effects in fullscreen mode}
Friedrich Schiller, in a letter to Goethe on 24.\ November 1797: (verse)
\begin{verse}{\selectlanguage{german}
\foreignquote{german}{Man sollte wirklich alles, was sich über das Gemeine erheben muss, in Versen wenigstens anfänglich konzipieren, denn das Platte kommt nirgends so ins Licht, als wenn es in gebundener Schreibart ausgesprochen wird.}}
\end{verse}
\KITvfill
\uncover<2->{Friedrich Schiller, in a letter to Goethe on 24.\ November 1797: (quote)
\begin{quote}{\selectlanguage{german}
\foreignquote{german}{Man sollte wirklich alles, was sich über das Gemeine erheben muss, in Versen wenigstens anfänglich konzipieren, denn das Platte kommt nirgends so ins Licht, als wenn es in gebundener Schreibart ausgesprochen wird.}}
\end{quote}}
\KITvfill
\uncover<3->{Friedrich Schiller, in a letter to Goethe on 24.\ November 1797: (quotation)
\begin{quotation}{\selectlanguage{german}
Man sollte wirklich alles, was sich über das Gemeine erheben muss, in Versen wenigstens anfänglich konzipieren, denn das Platte kommt nirgends so ins Licht, als wenn es in gebundener Schreibart ausgesprochen wird.}
\end{quotation}}
\KITvfill
\hfill\hyperlinkpresentationstart{\beamergotobutton{Start again}}
\transfade<1>[duration=1]
\transdissolve<2>
\transboxin<3>
\end{frame}

\begin{frame}{Further reading}
Here are a few suggestions (manual bibitem entries): \\[3mm]
{ % begin scope
\setbeamertemplate{bibliography item}[online]
\begin{thebibliography}{10}
\bibitem{Hertweck2025}
Hertweck, T.
\newblock KIT presentations using \LaTeX
\newblock Geophysical Institute, Karlsruhe Institute of Technology
\newblock \href{https://gitlab.kit.edu/thomas.hertweck/latex-presentation-template}{https://gitlab.kit.edu/thomas.hertweck/latex-presentation-template}
\end{thebibliography}
} % end scope
{ % begin scope
\setbeamertemplate{bibliography item}[book]
\begin{thebibliography}{10}
\bibitem{Meschede2015}
Meschede, D. \emph{(Ed.)}
\newblock Gerthsen Physik
\newblock Springer Spektrum Berlin/Heidelberg, 2015
\newblock DOI: \href{https://doi.org/10.1007/978-3-662-45977-5}{10.1007/978-3-662-45977-5}
\end{thebibliography}
} % end scope
{ % begin scope
\setbeamertemplate{bibliography item}[article]
\begin{thebibliography}{10}
\bibitem{Ricker1943}
Ricker, N.
\newblock Further developments in the wavelet theory of seismogram structure
\newblock Bulletin of the Seismological Society of America, vol.\ 33, 1943
\newblock DOI: \href{https://doi.org/10.1785/BSSA0330030197}{10.1785/BSSA0330030197}
\end{thebibliography}
} % end scope
\end{frame}

\begin{frame}{Citation}
This is a book citation \parencite{Yilmaz2001}.\\[2mm]

\textcite{Deregowski1986} wrote an article.\\[2mm]

Anti-alising in Kirchhoff migration is frequently used \parencite[see, e.g.,][]{Lumley1994}.
\end{frame}

\begin{frame}{References}
The following references were automatically set by biblatex:\\[2mm]
\printbibliography
\end{frame}

\KITendpage[gpi]{Thomas.Hertweck@kit.edu}

\KITendpage

% Note: Any frames after \appendix do not contribute to the total number of
%       presentation frames. Also, the frame number is reset to 1 and the
%       footline shows a frame number A1, A2, etc. instead of 1, 2, etc.
%       Such frames are primarily meant as backup slides for discussion..

\appendix

\begin{frame}{This is a backup slide}
\begin{equation*}\alpha = \beta + \gamma = \sum_{i=1}^\infty a_i + \sqrt{b} + c^2 + 
                 \frac{d_\text{min}}{e_\text{max}} + \int\limits_{-\infty}^{10\pi} f(x)\,dx 
\end{equation*}
A complex number like \complexnum{1+-2i} or exponents like \num{.3e-10} are automatically handled and typeset by \texttt{siunitx}. SI units like \qty{10}{\kilogram\meter\per\second} (or \qty[per-mode=fraction]{10}{\kilogram\meter\per\second} if you prefer) and ranges like \qtyrange{0.1}{0.3}{\milli\metre} are also handled automatically. This also works in math mode:
\begin{equation*}
f = \qty{42}{\GHz}
\end{equation*}
{\selectlanguage{german}%
Dabei erkennt \texttt{siunitx} die Sprache und der Bereich wird zu \qtyrange{0.1}{0.3}{\milli\metre}.
}
\KITvfill
Note how the frame number changes in the footline.
\end{frame}

\begin{frame}{This is a second backup slide}
  \begin{multline*}
    \int\limits_0^{t'}dt \iiint \limits_\Omega 
    P\left( \vv{x},t\right)\delta\left( \vv{x}-\vv*{x}{0} \right)
    \delta\left( t-t_0 \right)\,d\Omega = 
    \int\limits_0^{t'}dt \iiint\limits_\Omega f\left(\vv{x},t\right)
    G \left( \vv{x},t\, |\, \vv*{x}{0},t_0 \right)\, d\Omega\\
    +\int\limits_0^{t'}dt \iiint\limits_\Omega 
    \left\{ \textcolor<2->{KITlightgreen}{ G \left( \vv{x},t\, |\, \vv*{x}{0},t_0 \right) 
      \Delta P\left( \vv{x},t\right)} - P\left( \vv{x},t\right) 
      \Delta G \left( \vv{x},t\, |\, \vv*{x}{0},t_0 \right) \right\}\,d\Omega\\
    -\int\limits_0^{t'}dt \iiint\limits_\Omega \frac{1}{v^2}
    \left\{ \textcolor<2->{KITred}{ G \left( \vv{x},t\, |\, \vv*{x}{0},t_0 \right) 
      \frac{\partial^2 P\left( \vv{x},t\right)}{\partial t^2} }
      -P\left( \vv{x},t\right) 
      \frac{\partial^2 G \left( \vv{x},t\, |\, \vv*{x}{0},t_0 \right)}{\partial t^2}
    \right\}\,d\Omega
  \end{multline*}
\end{frame}

\end{document}